%define		module	jwzthreading
Summary:	Implementation of algorithm for threading mail messages
Summary(pl.UTF-8):	Implementacja algorytmu wątkowania wiadomości pocztowych
Name:		python-%{module}
Version:	0.91
Release:	5
License:	BSD-like (see LICENSE)
Group:		Libraries/Python
Source0:	http://www.amk.ca/files/python/%{module}-%{version}.tar.gz
# Source0-md5:	567f17b0189d90f570961b8f5d487795
URL:		http://www.amk.ca/python/code/jwz.html
%pyrequires_eq	python
BuildRequires:	python-devel >= 1:2.3
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is an implementation of a fast and smart algorithm for threading
mail messages, as described by Jamie Zawinski at
http://www.jwz.org/doc/threading.html .

%description -l pl.UTF-8
Implementacja szybkiego i sprawnego algorytmu wątkowania poczty,
opisana przez Jamie Zawinskiego na stronie
http://www.jwz.org/doc/threading.html .

%prep
%setup -q -n %{module}-%{version}

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{py_sitescriptdir}

%py_install

find $RPM_BUILD_ROOT%{py_sitescriptdir} -type f -name "*.py" -exec rm {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE CHANGES.txt README
%{py_sitescriptdir}/%{module}.py?
%changelog
* Sat Nov 28 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-jwzthreading.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 1616bc7
- release 5 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 99641dc
- automatic change: use py_build/py_install macros

* Sat Jan 22 2011 sparky <sparky@pld-linux.org> fbe54b8
- BR: rpm-pythonprov

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 7a80d03
- release 4

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 884da03
- release 3

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> cbc346a
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> c0d3a65
- converted to UTF-8

* Sat Dec 25 2004 saq <saq@pld-linux.org> 73f7a4a
- release 2 for rebuild with python 2.4

* Tue Dec 21 2004 twittner <twittner@pld-linux.org> 37d5bad
- separate desc.'s periods from http link

* Mon Dec 20 2004 Jakub Bogusz <qboosh@pld-linux.org> 4ee44a1
- pl fix, no control chars in changelog

* Mon Dec 20 2004 zbyniu <zbyniu@pld-linux.org> 8de0941
- BR: python-modules

* Sat Dec 18 2004 undefine <undefine@pld-linux.org> 167c331
- initit^Hal PLD version ;)

